local PrincessTower = ...

PrincessTower:registerAssetId("models/Rope.png", "ROPE_TEXTURE")

PrincessTower:register({
	DataType = "MATERIAL",
	Id = "ROPE_MATERIAL",
        AlbedoColor = COL_WHITE,
	AlbedoTexture = "ROPE_TEXTURE"
})

PrincessTower:register({
	DataType = "PARTICLE_SYSTEM",
	Id = "ROPE_PARTICLE_SYSTEM",
	Material = "ROPE_MATERIAL",
	BillboardBehavior = "FACE_CAMERA_Y_ALIGN",
	Duration = 1,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 1,
	StartSpeed = { 0, 0 },
	StartSize = { 10, 10 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 2,
	BurstList = {},
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_BOX",
		Size = { 0, 0.001, 0 },
                Rotation = { 0, 0, 0 },
                Position = { 0, 0, 0 }
	},
	LinearVelocity = {
		DataType = "PARTICLE_FLOAT3_VALUE_CONSTANT_RANDOM",
		ValueA = { 0, 0, 0 },
		ValueB = { 0, 0, 0 },
	},
--	ColorOverLifeTime = {
--		DataType = "GRADIENT",
--		ColorList = {
--			{ T = 0, Color = { 0, 0, 0, 0} }
--,
--			{ T = 0.3, Color = { 0, 0, 0, 0} },
--			{ T = 0.7, Color = { 0, 0, 0, 0} },
--			{ T = 1, Color = { 0, 0, 0, 0 } }
--		},
--		AlphaList = {
--			{ T = 0, Alpha = 255 }
--,
--			{ T = 0.3, Alpha = 255 },
--			{ T = 0.7, Alpha = 255 },
--			{ T = 1, Alpha = 0 }
--		},
--	},
	SizeOverLifetime = {
		{ T = 0, Value = 1 }
--,
--		{ T = 0.7, Value = 0.5 },
--		{ T = 1, Value = 0.5 }
	},
	RotationOverLifetime = { 0, 0 },
})